﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Olap.Data;
using Infragistics.Olap.Data.Base;

namespace PivotGridHighlightAlternateRecords
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            pivotGrid.CellControlAttached += new EventHandler<PivotCellControlAttachedEventArgs>(pivotGrid_CellControlAttached);
            pivotGrid.DataSource.ResultChanged += new EventHandler<Infragistics.Olap.ResultChangedEventArgs>(DataSource_ResultChanged);
        }

        void DataSource_ResultChanged(object sender, Infragistics.Olap.ResultChangedEventArgs e)
        {
            
        }

        void pivotGrid_CellControlAttached(object sender, PivotCellControlAttachedEventArgs e)
        {
            if (e.Cell.Data != null && e.Cell.Data.GetType() == typeof(Cell))
            {
                int dataRowIndex = pivotGrid.DataRows.IndexOf((e.Cell as PivotCell).DataRow);
                if (dataRowIndex % 2 == 0)
                {
                    (((e.Cell as PivotGridCellBase).Control as PivotCellControl).Parent as PivotDataCellsPanel).Tag = "Alternate";
                }
                else
                {
                    (((e.Cell as PivotGridCellBase).Control as PivotCellControl).Parent as PivotDataCellsPanel).Tag = null;
                }
            }
        }
    }
}
